{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
  };

  outputs = { self, nixpkgs, ... } @ inputs:
    let
      pkgs = nixpkgs.legacyPackages.x86_64-linux;
    in
    {
      devShells.x86_64-linux.default = pkgs.mkShell {
        buildInputs = [
          (pkgs.lua5_1.withPackages (ps: with ps; [
            (
              let
                buildLuarocksPackage = ps.buildLuarocksPackage;
              in
              pkgs.callPackage ./cmark.nix {
                inherit buildLuarocksPackage;
              }
            )
            luafilesystem
            luasocket
            luasec
            fennel
          ]))
        ];
      };
    };
}
